from django.db import models
import django.utils.timezone as timezone
from rbac.models import SoftCommonModel, CommonModel
from django.contrib.postgres.fields import ArrayField
# Create your models here.

class Consult(CommonModel):
    name = models.CharField('姓名', max_length=100)
    phone = models.CharField('手机号', max_length=100)
    address = models.CharField('邮寄地址', max_length=1000, null=True, blank=True)
    kdd = models.TextField('快递单号', null=True, blank=True)
    tests = ArrayField(models.CharField('检测内容', max_length=2000))
    feedback = models.TextField('反馈记录', null=True, blank=True)
    class Meta:
        verbose_name = '咨询'
        verbose_name_plural = verbose_name

    def __str__(self):
        return self.name